<GASystemModel xmlns="http://www.geneauto.org/GASystemModel" xmlns:gadt="http://www.geneauto.org/GADataType" xmlns:gaxml="http://www.geneauto.org/GAXML" lastSavedBy="Xcos - " lastSavedOn="2012-6-15 14:21:51.000004" modelName="Subsystem" modelVersion="6.3" type="gaxml:model">
    <TransformationHistory type="gaxml:history">
        <Transformation readTime="2012-6-15 14:21:51.000004" toolName="Scicos" writeTime="2012-6-15 14:21:51.000004"/>
        <Transformation readTime="2012-06-15 14:22:13.428" toolName="TFMPreprocessor" writeTime="2012-06-15 14:22:13.927"/>
        <Transformation readTime="2012-06-15 14:22:14.177" toolName="TBlockSequencer_coq" writeTime="2012-06-15 14:22:14.423"/>
        <Transformation readTime="2012-06-15 14:22:14.550" toolName="TTyper" writeTime="2012-06-15 14:22:14.839"/>
    </TransformationHistory>
    <SystemBlock directFeedThrough="true" id="1" isVirtual="false" name="Subsystem" sampleTime="0.0" type="SubSystem">
        <blocks type="gaxml:collection">
            <SourceBlock assignedPriority="3" assignedPrioritySource="GrLoc" directFeedThrough="true" executionOrder="1" externalID="-35079f4:137f00fab4d:-7d20" id="2" isVirtual="false" name="B1" originalFullName="-35079f4:137f00fab4d:-7d20" sampleTime="0.0" type="Inport">
                <outDataPorts type="gaxml:collection">
                    <OutDataPort id="15" name="null" portNumber="1">
                        <dataType type="gaxml:object">
                            <TRealDouble id="379"/>
                        </dataType>
                    </OutDataPort>
                </outDataPorts>
                <parameters type="gaxml:collection">
                    <BlockParameter id="11" name="Port">
                        <value type="gaxml:object">
                            <StringValue id="12" value="1"/>
                        </value>
                    </BlockParameter>
                    <BlockParameter id="3" name="DataType">
                        <value type="gaxml:object">
                            <StringValue id="4" value="double"/>
                        </value>
                    </BlockParameter>
                    <BlockParameter id="9" name="SignalType">
                        <value type="gaxml:object">
                            <StringValue id="10" value="auto"/>
                        </value>
                    </BlockParameter>
                    <BlockParameter id="13" name="VectorParams1D">
                        <value type="gaxml:object">
                            <StringValue id="14" value="off"/>
                        </value>
                    </BlockParameter>
                    <BlockParameter id="5" name="PortDimensions">
                        <value type="gaxml:object">
                            <ExpressionValue id="6">
                                <value type="gaxml:object">
                                    <IntegerExpression exponent="0" hexValue="false" id="7" integerPart="1" isNegative="true" litValue="1" scientificValue="false">
                                        <dataType type="gaxml:object">
                                            <TRealInteger id="8" nBits="8"/>
                                        </dataType>
                                    </IntegerExpression>
                                </value>
                            </ExpressionValue>
                        </value>
                    </BlockParameter>
                </parameters>
                <diagramInfo type="gaxml:object">
                    <DiagramInfo positionX="10" positionY="386" sizeX="-346" sizeY="14"/>
                </diagramInfo>
                <portReference type="gaxml:pointer">281</portReference>
            </SourceBlock>
            <CombinatorialBlock assignedPriority="1" assignedPrioritySource="GrLoc" directFeedThrough="true" executionOrder="2" externalID="-35079f4:137f00fab4d:-7d1e" id="16" isVirtual="false" name="B2" originalFullName="-35079f4:137f00fab4d:-7d1e" sampleTime="0.0" type="If">
                <inDataPorts type="gaxml:collection">
                    <InDataPort id="25" name="null" portNumber="1" relatedToInportBlock="true">
                        <dataType type="gaxml:object">
                            <TRealDouble id="380"/>
                        </dataType>
                    </InDataPort>
                </inDataPorts>
                <outControlPorts type="gaxml:collection">
                    <OutControlPort id="26" portNumber="1"/>
                </outControlPorts>
                <parameters type="gaxml:collection">
                    <BlockParameter id="19" name="IfExpression">
                        <value type="gaxml:object">
                            <ExpressionValue id="20">
                                <value type="gaxml:object">
                                    <BinaryExpression id="21">
                                        <leftArgument type="gaxml:object">
                                            <VariableExpression id="22" name="u1"/>
                                        </leftArgument>
                                        <rightArgument type="gaxml:object">
                                            <RealExpression exponent="0" fractionalPart="0" id="23" integerPart="0" isNegative="false" litValue="0" scientificValue="false">
                                                <dataType type="gaxml:object">
                                                    <TRealDouble id="24"/>
                                                </dataType>
                                            </RealExpression>
                                        </rightArgument>
                                        <operator type="gaxml:object">
                                            <BinaryOperator name="GT_OPERATOR" ordinal="14" precedence="10" type="gaxml:enum"/>
                                        </operator>
                                    </BinaryExpression>
                                </value>
                            </ExpressionValue>
                        </value>
                    </BlockParameter>
                    <BlockParameter id="17" name="ShowElse">
                        <value type="gaxml:object">
                            <StringValue id="18" value="off"/>
                        </value>
                    </BlockParameter>
                </parameters>
                <diagramInfo type="gaxml:object">
                    <DiagramInfo positionX="101" positionY="362" sizeX="-161" sizeY="38"/>
                </diagramInfo>
            </CombinatorialBlock>
            <SystemBlock assignedPriority="2" assignedPrioritySource="GrLoc" directFeedThrough="true" executionOrder="-1" id="27" isVirtual="false" name="B3" sampleTime="0.0" type="SubSystem">
                <blocks type="gaxml:collection">
                    <SourceBlock assignedPriority="12" assignedPrioritySource="GrLoc" directFeedThrough="true" executionOrder="6" id="28" isVirtual="false" name="B3_1" sampleTime="-1.0" type="Inport">
                        <outDataPorts type="gaxml:collection">
                            <OutDataPort id="29" name="null" portNumber="1">
                                <dataType type="gaxml:object">
                                    <TRealDouble id="382"/>
                                </dataType>
                            </OutDataPort>
                        </outDataPorts>
                        <parameters type="gaxml:collection">
                            <BlockParameter id="36" name="Port">
                                <value type="gaxml:object">
                                    <StringValue id="37" value="1"/>
                                </value>
                            </BlockParameter>
                            <BlockParameter id="30" name="DataType">
                                <value type="gaxml:object">
                                    <StringValue id="31" value="auto"/>
                                </value>
                            </BlockParameter>
                            <BlockParameter id="32" name="PortDimensions">
                                <value type="gaxml:object">
                                    <ExpressionValue id="33">
                                        <value type="gaxml:object">
                                            <IntegerExpression exponent="0" hexValue="false" id="34" integerPart="1" isNegative="true" litValue="-1" scientificValue="false">
                                                <dataType type="gaxml:object">
                                                    <TRealInteger id="35" nBits="8" signed="true"/>
                                                </dataType>
                                            </IntegerExpression>
                                        </value>
                                    </ExpressionValue>
                                </value>
                            </BlockParameter>
                        </parameters>
                        <diagramInfo type="gaxml:object">
                            <DiagramInfo positionX="50" positionY="386" sizeX="-306" sizeY="14"/>
                        </diagramInfo>
                        <portReference type="gaxml:pointer">256</portReference>
                    </SourceBlock>
                    <SourceBlock assignedPriority="7" assignedPrioritySource="GrLoc" directFeedThrough="true" executionOrder="2" externalID="-35079f4:137f00fab4d:-7d01" id="38" isVirtual="false" name="B3_2" originalFullName="-35079f4:137f00fab4d:-7d01" sampleTime="0.0" type="Constant">
                        <outDataPorts type="gaxml:collection">
                            <OutDataPort id="47" name="null" portNumber="1">
                                <dataType type="gaxml:object">
                                    <TRealDouble id="433"/>
                                </dataType>
                            </OutDataPort>
                        </outDataPorts>
                        <parameters type="gaxml:collection">
                            <BlockParameter id="39" name="Value">
                                <value type="gaxml:object">
                                    <ExpressionValue id="40">
                                        <value type="gaxml:object">
                                            <RealExpression exponent="0" fractionalPart="0" id="41" integerPart="2" isNegative="false" litValue="2" scientificValue="false">
                                                <dataType type="gaxml:object">
                                                    <TRealDouble id="42"/>
                                                </dataType>
                                            </RealExpression>
                                        </value>
                                    </ExpressionValue>
                                </value>
                            </BlockParameter>
                            <BlockParameter id="43" name="OutDataTypeMode">
                                <value type="gaxml:object">
                                    <StringValue id="44" value="Inherit from 'Constant value'"/>
                                </value>
                            </BlockParameter>
                            <BlockParameter id="45" name="VectorParams1D">
                                <value type="gaxml:object">
                                    <StringValue id="46" value="off"/>
                                </value>
                            </BlockParameter>
                        </parameters>
                        <diagramInfo type="gaxml:object">
                            <DiagramInfo positionX="50" positionY="370" sizeX="-290" sizeY="30"/>
                        </diagramInfo>
                    </SourceBlock>
                    <SourceBlock assignedPriority="8" assignedPrioritySource="GrLoc" directFeedThrough="true" executionOrder="3" externalID="-35079f4:137f00fab4d:-7cff" id="48" isVirtual="false" name="B3_3" originalFullName="-35079f4:137f00fab4d:-7cff" sampleTime="0.0" type="Constant">
                        <outDataPorts type="gaxml:collection">
                            <OutDataPort id="57" name="null" portNumber="1">
                                <dataType type="gaxml:object">
                                    <TRealDouble id="435"/>
                                </dataType>
                            </OutDataPort>
                        </outDataPorts>
                        <parameters type="gaxml:collection">
                            <BlockParameter id="49" name="Value">
                                <value type="gaxml:object">
                                    <ExpressionValue id="50">
                                        <value type="gaxml:object">
                                            <RealExpression exponent="0" fractionalPart="0" id="51" integerPart="5" isNegative="false" litValue="5" scientificValue="false">
                                                <dataType type="gaxml:object">
                                                    <TRealDouble id="52"/>
                                                </dataType>
                                            </RealExpression>
                                        </value>
                                    </ExpressionValue>
                                </value>
                            </BlockParameter>
                            <BlockParameter id="53" name="OutDataTypeMode">
                                <value type="gaxml:object">
                                    <StringValue id="54" value="Inherit from 'Constant value'"/>
                                </value>
                            </BlockParameter>
                            <BlockParameter id="55" name="VectorParams1D">
                                <value type="gaxml:object">
                                    <StringValue id="56" value="off"/>
                                </value>
                            </BlockParameter>
                        </parameters>
                        <diagramInfo type="gaxml:object">
                            <DiagramInfo positionX="210" positionY="370" sizeX="-130" sizeY="30"/>
                        </diagramInfo>
                    </SourceBlock>
                    <SourceBlock assignedPriority="9" assignedPrioritySource="GrLoc" directFeedThrough="true" executionOrder="4" externalID="-35079f4:137f00fab4d:-7cfd" id="58" isVirtual="false" name="B3_4" originalFullName="-35079f4:137f00fab4d:-7cfd" sampleTime="0.0" type="Constant">
                        <outDataPorts type="gaxml:collection">
                            <OutDataPort id="67" name="null" portNumber="1">
                                <dataType type="gaxml:object">
                                    <TRealDouble id="437"/>
                                </dataType>
                            </OutDataPort>
                        </outDataPorts>
                        <parameters type="gaxml:collection">
                            <BlockParameter id="59" name="Value">
                                <value type="gaxml:object">
                                    <ExpressionValue id="60">
                                        <value type="gaxml:object">
                                            <RealExpression exponent="0" fractionalPart="0" id="61" integerPart="2" isNegative="false" litValue="2" scientificValue="false">
                                                <dataType type="gaxml:object">
                                                    <TRealDouble id="62"/>
                                                </dataType>
                                            </RealExpression>
                                        </value>
                                    </ExpressionValue>
                                </value>
                            </BlockParameter>
                            <BlockParameter id="63" name="OutDataTypeMode">
                                <value type="gaxml:object">
                                    <StringValue id="64" value="Inherit from 'Constant value'"/>
                                </value>
                            </BlockParameter>
                            <BlockParameter id="65" name="VectorParams1D">
                                <value type="gaxml:object">
                                    <StringValue id="66" value="off"/>
                                </value>
                            </BlockParameter>
                        </parameters>
                        <diagramInfo type="gaxml:object">
                            <DiagramInfo positionX="210" positionY="370" sizeX="-130" sizeY="30"/>
                        </diagramInfo>
                    </SourceBlock>
                    <CombinatorialBlock assignedPriority="2" assignedPrioritySource="GrLoc" directFeedThrough="true" executionOrder="8" externalID="-35079f4:137f00fab4d:-7cfb" id="68" isVirtual="false" name="B3_5" originalFullName="-35079f4:137f00fab4d:-7cfb" sampleTime="0.0" type="If">
                        <inDataPorts type="gaxml:collection">
                            <InDataPort id="77" name="null" portNumber="1" relatedToInportBlock="true">
                                <dataType type="gaxml:object">
                                    <TRealDouble id="444"/>
                                </dataType>
                            </InDataPort>
                        </inDataPorts>
                        <outControlPorts type="gaxml:collection">
                            <OutControlPort id="78" portNumber="1"/>
                            <OutControlPort id="79" portNumber="2"/>
                        </outControlPorts>
                        <parameters type="gaxml:collection">
                            <BlockParameter id="71" name="IfExpression">
                                <value type="gaxml:object">
                                    <ExpressionValue id="72">
                                        <value type="gaxml:object">
                                            <BinaryExpression id="73">
                                                <leftArgument type="gaxml:object">
                                                    <VariableExpression id="74" name="u1"/>
                                                </leftArgument>
                                                <rightArgument type="gaxml:object">
                                                    <RealExpression exponent="0" fractionalPart="0" id="75" integerPart="0" isNegative="false" litValue="0" scientificValue="false">
                                                        <dataType type="gaxml:object">
                                                            <TRealDouble id="76"/>
                                                        </dataType>
                                                    </RealExpression>
                                                </rightArgument>
                                                <operator type="gaxml:object">
                                                    <BinaryOperator name="GT_OPERATOR" ordinal="14" precedence="10" type="gaxml:enum"/>
                                                </operator>
                                            </BinaryExpression>
                                        </value>
                                    </ExpressionValue>
                                </value>
                            </BlockParameter>
                            <BlockParameter id="69" name="ShowElse">
                                <value type="gaxml:object">
                                    <StringValue id="70" value="on"/>
                                </value>
                            </BlockParameter>
                        </parameters>
                        <diagramInfo type="gaxml:object">
                            <DiagramInfo positionX="105" positionY="362" sizeX="-157" sizeY="38"/>
                        </diagramInfo>
                    </CombinatorialBlock>
                    <SystemBlock assignedPriority="3" assignedPrioritySource="GrLoc" directFeedThrough="true" executionOrder="-2" id="80" isVirtual="false" name="B3_6" sampleTime="0.0" type="SubSystem">
                        <blocks type="gaxml:collection">
                            <SourceBlock assignedPriority="2" assignedPrioritySource="GrLoc" directFeedThrough="true" executionOrder="2" id="81" isVirtual="false" name="B3_6_1" sampleTime="-1.0" type="Inport">
                                <outDataPorts type="gaxml:collection">
                                    <OutDataPort id="82" name="null" portNumber="1">
                                        <dataType type="gaxml:object">
                                            <TRealDouble id="459"/>
                                        </dataType>
                                    </OutDataPort>
                                </outDataPorts>
                                <parameters type="gaxml:collection">
                                    <BlockParameter id="89" name="Port">
                                        <value type="gaxml:object">
                                            <StringValue id="90" value="1"/>
                                        </value>
                                    </BlockParameter>
                                    <BlockParameter id="83" name="DataType">
                                        <value type="gaxml:object">
                                            <StringValue id="84" value="auto"/>
                                        </value>
                                    </BlockParameter>
                                    <BlockParameter id="85" name="PortDimensions">
                                        <value type="gaxml:object">
                                            <ExpressionValue id="86">
                                                <value type="gaxml:object">
                                                    <IntegerExpression exponent="0" hexValue="false" id="87" integerPart="1" isNegative="true" litValue="-1" scientificValue="false">
                                                        <dataType type="gaxml:object">
                                                            <TRealInteger id="88" nBits="8" signed="true"/>
                                                        </dataType>
                                                    </IntegerExpression>
                                                </value>
                                            </ExpressionValue>
                                        </value>
                                    </BlockParameter>
                                </parameters>
                                <diagramInfo type="gaxml:object">
                                    <DiagramInfo positionX="50" positionY="386" sizeX="-306" sizeY="14"/>
                                </diagramInfo>
                                <portReference type="gaxml:pointer">118</portReference>
                            </SourceBlock>
                            <SequentialBlock assignedPriority="1" assignedPrioritySource="GrLoc" directFeedThrough="false" executionOrder="1" externalID="-35079f4:137f00fab4d:-7cae" id="91" isVirtual="false" name="B3_6_2" originalFullName="-35079f4:137f00fab4d:-7cae" sampleTime="0.0" type="UnitDelay">
                                <inDataPorts type="gaxml:collection">
                                    <InDataPort id="96" name="null" portNumber="1" relatedToInportBlock="true">
                                        <dataType type="gaxml:object">
                                            <TRealDouble id="465"/>
                                        </dataType>
                                    </InDataPort>
                                </inDataPorts>
                                <outDataPorts type="gaxml:collection">
                                    <OutDataPort id="97" name="null" portNumber="1">
                                        <dataType type="gaxml:object">
                                            <TRealDouble id="463"/>
                                        </dataType>
                                    </OutDataPort>
                                </outDataPorts>
                                <parameters type="gaxml:collection">
                                    <BlockParameter id="92" name="InitialValue">
                                        <value type="gaxml:object">
                                            <ExpressionValue id="93">
                                                <value type="gaxml:object">
                                                    <RealExpression exponent="0" fractionalPart="0" id="94" integerPart="0" isNegative="false" litValue="0" scientificValue="false">
                                                        <dataType type="gaxml:object">
                                                            <TRealDouble id="95"/>
                                                        </dataType>
                                                    </RealExpression>
                                                </value>
                                            </ExpressionValue>
                                        </value>
                                    </BlockParameter>
                                </parameters>
                                <diagramInfo type="gaxml:object">
                                    <DiagramInfo positionX="145" positionY="366" sizeX="-186" sizeY="34"/>
                                </diagramInfo>
                            </SequentialBlock>
                            <SinkBlock assignedPriority="3" assignedPrioritySource="GrLoc" directFeedThrough="true" executionOrder="3" id="98" isVirtual="false" name="B3_6_3" sampleTime="-1.0" type="Outport">
                                <inDataPorts type="gaxml:collection">
                                    <InDataPort id="99" name="null" portNumber="1" relatedToInportBlock="true">
                                        <dataType type="gaxml:object">
                                            <TRealDouble id="464"/>
                                        </dataType>
                                    </InDataPort>
                                </inDataPorts>
                                <parameters type="gaxml:collection">
                                    <BlockParameter id="110" name="Port">
                                        <value type="gaxml:object">
                                            <StringValue id="111" value="1"/>
                                        </value>
                                    </BlockParameter>
                                    <BlockParameter id="100" name="DataType">
                                        <value type="gaxml:object">
                                            <StringValue id="101" value="auto"/>
                                        </value>
                                    </BlockParameter>
                                    <BlockParameter id="102" name="InitialOutput">
                                        <value type="gaxml:object">
                                            <ExpressionValue id="103"/>
                                        </value>
                                    </BlockParameter>
                                    <BlockParameter id="108" name="OutputWhenDisabled">
                                        <value type="gaxml:object">
                                            <StringValue id="109" value="held"/>
                                        </value>
                                    </BlockParameter>
                                    <BlockParameter id="104" name="PortDimensions">
                                        <value type="gaxml:object">
                                            <ExpressionValue id="105">
                                                <value type="gaxml:object">
                                                    <IntegerExpression exponent="0" hexValue="false" id="106" integerPart="1" isNegative="true" litValue="-1" scientificValue="false">
                                                        <dataType type="gaxml:object">
                                                            <TRealInteger id="107" nBits="8" signed="true"/>
                                                        </dataType>
                                                    </IntegerExpression>
                                                </value>
                                            </ExpressionValue>
                                        </value>
                                    </BlockParameter>
                                </parameters>
                                <diagramInfo type="gaxml:object">
                                    <DiagramInfo positionX="300" positionY="386" sizeX="-56" sizeY="14"/>
                                </diagramInfo>
                                <portReference type="gaxml:pointer">120</portReference>
                            </SinkBlock>
                        </blocks>
                        <signals type="gaxml:collection">
                            <Signal id="116">
                                <srcPort type="gaxml:pointer">82</srcPort>
                                <dstPort type="gaxml:pointer">96</dstPort>
                            </Signal>
                            <Signal id="117">
                                <srcPort type="gaxml:pointer">97</srcPort>
                                <dstPort type="gaxml:pointer">99</dstPort>
                            </Signal>
                        </signals>
                        <style type="gaxml:object">
                            <FunctionStyle name="FUNCTION" ordinal="0" type="gaxml:enum"/>
                        </style>
                        <inDataPorts type="gaxml:collection">
                            <InDataPort id="118" name="B3_6_1" portNumber="1" relatedToInportBlock="true">
                                <dataType type="gaxml:object">
                                    <TRealDouble id="442"/>
                                </dataType>
                                <sourceBlock type="gaxml:pointer">81</sourceBlock>
                            </InDataPort>
                        </inDataPorts>
                        <inControlPorts type="gaxml:collection">
                            <InControlPort id="119" periodicSampleTime="false" portNumber="0" relatedToInportBlock="false" resetStates="false">
                                <outputDataType type="gaxml:object">
                                    <TBoolean id="466"/>
                                </outputDataType>
                            </InControlPort>
                        </inControlPorts>
                        <outDataPorts type="gaxml:collection">
                            <OutDataPort id="120" name="B3_6_3" portNumber="1">
                                <dataType type="gaxml:object">
                                    <TRealDouble id="467"/>
                                </dataType>
                                <initialOutput type="gaxml:object">
                                    <ExpressionValue id="285"/>
                                </initialOutput>
                                <sourceBlock type="gaxml:pointer">98</sourceBlock>
                            </OutDataPort>
                        </outDataPorts>
                        <parameters type="gaxml:collection">
                            <BlockParameter id="121" name="RTWSystemCode">
                                <value type="gaxml:object">
                                    <StringValue id="122" value="auto"/>
                                </value>
                            </BlockParameter>
                            <BlockParameter id="123" name="AtomicSubSystem">
                                <value type="gaxml:object">
                                    <StringValue id="124" value="on"/>
                                </value>
                            </BlockParameter>
                        </parameters>
                        <diagramInfo type="gaxml:object">
                            <DiagramInfo positionX="225" positionY="364" sizeX="-69" sizeY="36"/>
                        </diagramInfo>
                    </SystemBlock>
                    <SystemBlock assignedPriority="4" assignedPrioritySource="GrLoc" directFeedThrough="true" executionOrder="-1" id="125" isVirtual="false" name="B3_7" sampleTime="0.0" type="SubSystem">
                        <blocks type="gaxml:collection">
                            <SourceBlock assignedPriority="3" assignedPrioritySource="GrLoc" directFeedThrough="true" executionOrder="2" id="126" isVirtual="false" name="B3_7_1" sampleTime="-1.0" type="Inport">
                                <outDataPorts type="gaxml:collection">
                                    <OutDataPort id="127" name="null" portNumber="1">
                                        <dataType type="gaxml:object">
                                            <TRealDouble id="445"/>
                                        </dataType>
                                    </OutDataPort>
                                </outDataPorts>
                                <parameters type="gaxml:collection">
                                    <BlockParameter id="134" name="Port">
                                        <value type="gaxml:object">
                                            <StringValue id="135" value="1"/>
                                        </value>
                                    </BlockParameter>
                                    <BlockParameter id="128" name="DataType">
                                        <value type="gaxml:object">
                                            <StringValue id="129" value="auto"/>
                                        </value>
                                    </BlockParameter>
                                    <BlockParameter id="130" name="PortDimensions">
                                        <value type="gaxml:object">
                                            <ExpressionValue id="131">
                                                <value type="gaxml:object">
                                                    <IntegerExpression exponent="0" hexValue="false" id="132" integerPart="1" isNegative="true" litValue="-1" scientificValue="false">
                                                        <dataType type="gaxml:object">
                                                            <TRealInteger id="133" nBits="8" signed="true"/>
                                                        </dataType>
                                                    </IntegerExpression>
                                                </value>
                                            </ExpressionValue>
                                        </value>
                                    </BlockParameter>
                                </parameters>
                                <diagramInfo type="gaxml:object">
                                    <DiagramInfo positionX="50" positionY="386" sizeX="-306" sizeY="14"/>
                                </diagramInfo>
                                <portReference type="gaxml:pointer">173</portReference>
                            </SourceBlock>
                            <CombinatorialBlock assignedPriority="2" assignedPrioritySource="GrLoc" directFeedThrough="true" executionOrder="3" externalID="-35079f4:137f00fab4d:-7c9e" id="136" isVirtual="false" name="B3_7_2" originalFullName="-35079f4:137f00fab4d:-7c9e" sampleTime="0.0" type="Sum">
                                <inDataPorts type="gaxml:collection">
                                    <InDataPort id="141" name="" portNumber="1" relatedToInportBlock="true">
                                        <dataType type="gaxml:object">
                                            <TRealDouble id="454"/>
                                        </dataType>
                                    </InDataPort>
                                    <InDataPort id="142" name="" portNumber="2" relatedToInportBlock="true">
                                        <dataType type="gaxml:object">
                                            <TRealDouble id="453"/>
                                        </dataType>
                                    </InDataPort>
                                </inDataPorts>
                                <outDataPorts type="gaxml:collection">
                                    <OutDataPort id="143" name="null" portNumber="1">
                                        <dataType type="gaxml:object">
                                            <TRealDouble id="340"/>
                                        </dataType>
                                    </OutDataPort>
                                </outDataPorts>
                                <parameters type="gaxml:collection">
                                    <BlockParameter id="139" name="OutDataTypeMode">
                                        <value type="gaxml:object">
                                            <StringValue id="140" value="Inherit via internal rule"/>
                                        </value>
                                    </BlockParameter>
                                    <BlockParameter id="137" name="Inputs">
                                        <value type="gaxml:object">
                                            <StringValue id="138" value="++"/>
                                        </value>
                                    </BlockParameter>
                                </parameters>
                                <diagramInfo type="gaxml:object">
                                    <DiagramInfo positionX="135" positionY="380" sizeX="-225" sizeY="20"/>
                                </diagramInfo>
                            </CombinatorialBlock>
                            <SequentialBlock assignedPriority="1" assignedPrioritySource="GrLoc" directFeedThrough="false" executionOrder="1" externalID="-35079f4:137f00fab4d:-7c9a" id="144" isVirtual="false" name="B3_7_3" originalFullName="-35079f4:137f00fab4d:-7c9a" sampleTime="0.0" type="UnitDelay">
                                <inDataPorts type="gaxml:collection">
                                    <InDataPort id="149" name="null" portNumber="1" relatedToInportBlock="true">
                                        <dataType type="gaxml:object">
                                            <TRealDouble id="455"/>
                                        </dataType>
                                    </InDataPort>
                                </inDataPorts>
                                <outDataPorts type="gaxml:collection">
                                    <OutDataPort id="150" name="null" portNumber="1">
                                        <dataType type="gaxml:object">
                                            <TRealDouble id="451"/>
                                        </dataType>
                                    </OutDataPort>
                                </outDataPorts>
                                <parameters type="gaxml:collection">
                                    <BlockParameter id="145" name="InitialValue">
                                        <value type="gaxml:object">
                                            <ExpressionValue id="146">
                                                <value type="gaxml:object">
                                                    <RealExpression exponent="0" fractionalPart="0" id="147" integerPart="0" isNegative="false" litValue="0" scientificValue="false">
                                                        <dataType type="gaxml:object">
                                                            <TRealDouble id="148"/>
                                                        </dataType>
                                                    </RealExpression>
                                                </value>
                                            </ExpressionValue>
                                        </value>
                                    </BlockParameter>
                                </parameters>
                                <diagramInfo type="gaxml:object">
                                    <DiagramInfo positionX="173" positionY="366" sizeX="-158" sizeY="34"/>
                                </diagramInfo>
                            </SequentialBlock>
                            <SinkBlock assignedPriority="4" assignedPrioritySource="GrLoc" directFeedThrough="true" executionOrder="4" id="151" isVirtual="false" name="B3_7_4" sampleTime="-1.0" type="Outport">
                                <inDataPorts type="gaxml:collection">
                                    <InDataPort id="152" name="null" portNumber="1" relatedToInportBlock="true">
                                        <dataType type="gaxml:object">
                                            <TRealDouble id="452"/>
                                        </dataType>
                                    </InDataPort>
                                </inDataPorts>
                                <parameters type="gaxml:collection">
                                    <BlockParameter id="163" name="Port">
                                        <value type="gaxml:object">
                                            <StringValue id="164" value="1"/>
                                        </value>
                                    </BlockParameter>
                                    <BlockParameter id="153" name="DataType">
                                        <value type="gaxml:object">
                                            <StringValue id="154" value="auto"/>
                                        </value>
                                    </BlockParameter>
                                    <BlockParameter id="155" name="InitialOutput">
                                        <value type="gaxml:object">
                                            <ExpressionValue id="156"/>
                                        </value>
                                    </BlockParameter>
                                    <BlockParameter id="161" name="OutputWhenDisabled">
                                        <value type="gaxml:object">
                                            <StringValue id="162" value="held"/>
                                        </value>
                                    </BlockParameter>
                                    <BlockParameter id="157" name="PortDimensions">
                                        <value type="gaxml:object">
                                            <ExpressionValue id="158">
                                                <value type="gaxml:object">
                                                    <IntegerExpression exponent="0" hexValue="false" id="159" integerPart="1" isNegative="true" litValue="-1" scientificValue="false">
                                                        <dataType type="gaxml:object">
                                                            <TRealInteger id="160" nBits="8" signed="true"/>
                                                        </dataType>
                                                    </IntegerExpression>
                                                </value>
                                            </ExpressionValue>
                                        </value>
                                    </BlockParameter>
                                </parameters>
                                <diagramInfo type="gaxml:object">
                                    <DiagramInfo positionX="300" positionY="386" sizeX="-56" sizeY="14"/>
                                </diagramInfo>
                                <portReference type="gaxml:pointer">175</portReference>
                            </SinkBlock>
                        </blocks>
                        <signals type="gaxml:collection">
                            <Signal id="169">
                                <srcPort type="gaxml:pointer">150</srcPort>
                                <dstPort type="gaxml:pointer">152</dstPort>
                            </Signal>
                            <Signal id="170">
                                <srcPort type="gaxml:pointer">150</srcPort>
                                <dstPort type="gaxml:pointer">142</dstPort>
                            </Signal>
                            <Signal id="171">
                                <srcPort type="gaxml:pointer">127</srcPort>
                                <dstPort type="gaxml:pointer">141</dstPort>
                            </Signal>
                            <Signal id="172">
                                <srcPort type="gaxml:pointer">143</srcPort>
                                <dstPort type="gaxml:pointer">149</dstPort>
                            </Signal>
                        </signals>
                        <style type="gaxml:object">
                            <FunctionStyle name="FUNCTION" ordinal="0" type="gaxml:enum"/>
                        </style>
                        <inDataPorts type="gaxml:collection">
                            <InDataPort id="173" name="B3_7_1" portNumber="1" relatedToInportBlock="true">
                                <dataType type="gaxml:object">
                                    <TRealDouble id="468"/>
                                </dataType>
                                <sourceBlock type="gaxml:pointer">126</sourceBlock>
                            </InDataPort>
                        </inDataPorts>
                        <inControlPorts type="gaxml:collection">
                            <InControlPort id="174" periodicSampleTime="false" portNumber="0" relatedToInportBlock="false" resetStates="false">
                                <outputDataType type="gaxml:object">
                                    <TBoolean id="456"/>
                                </outputDataType>
                            </InControlPort>
                        </inControlPorts>
                        <outDataPorts type="gaxml:collection">
                            <OutDataPort id="175" name="B3_7_4" portNumber="1">
                                <dataType type="gaxml:object">
                                    <TRealDouble id="457"/>
                                </dataType>
                                <initialOutput type="gaxml:object">
                                    <ExpressionValue id="286"/>
                                </initialOutput>
                                <sourceBlock type="gaxml:pointer">151</sourceBlock>
                            </OutDataPort>
                        </outDataPorts>
                        <parameters type="gaxml:collection">
                            <BlockParameter id="176" name="RTWSystemCode">
                                <value type="gaxml:object">
                                    <StringValue id="177" value="auto"/>
                                </value>
                            </BlockParameter>
                            <BlockParameter id="178" name="AtomicSubSystem">
                                <value type="gaxml:object">
                                    <StringValue id="179" value="on"/>
                                </value>
                            </BlockParameter>
                        </parameters>
                        <diagramInfo type="gaxml:object">
                            <DiagramInfo positionX="360" positionY="364" sizeX="66" sizeY="36"/>
                        </diagramInfo>
                    </SystemBlock>
                    <CombinatorialBlock assignedPriority="6" assignedPrioritySource="GrLoc" directFeedThrough="true" executionOrder="9" externalID="-35079f4:137f00fab4d:-7cef" id="180" isVirtual="false" name="B3_8" originalFullName="-35079f4:137f00fab4d:-7cef" sampleTime="0.0" type="Product">
                        <inDataPorts type="gaxml:collection">
                            <InDataPort id="189" name="null" portNumber="1" relatedToInportBlock="true">
                                <dataType type="gaxml:object">
                                    <TRealDouble id="469"/>
                                </dataType>
                            </InDataPort>
                            <InDataPort id="190" name="null" portNumber="2" relatedToInportBlock="true">
                                <dataType type="gaxml:object">
                                    <TRealDouble id="440"/>
                                </dataType>
                            </InDataPort>
                        </inDataPorts>
                        <outDataPorts type="gaxml:collection">
                            <OutDataPort id="191" name="null" portNumber="1">
                                <dataType type="gaxml:object">
                                    <TRealDouble id="319"/>
                                </dataType>
                            </OutDataPort>
                        </outDataPorts>
                        <parameters type="gaxml:collection">
                            <BlockParameter id="181" name="Multiplication">
                                <value type="gaxml:object">
                                    <StringValue id="182" value="Element-wise(.*)"/>
                                </value>
                            </BlockParameter>
                            <BlockParameter id="187" name="OutDataType">
                                <value type="gaxml:object">
                                    <StringValue id="188" value="sfix(16)"/>
                                </value>
                            </BlockParameter>
                            <BlockParameter id="185" name="OutDataTypeMode">
                                <value type="gaxml:object">
                                    <StringValue id="186" value="Same as first input"/>
                                </value>
                            </BlockParameter>
                            <BlockParameter id="183" name="Inputs">
                                <value type="gaxml:object">
                                    <StringValue id="184" value="2"/>
                                </value>
                            </BlockParameter>
                        </parameters>
                        <diagramInfo type="gaxml:object">
                            <DiagramInfo positionX="415" positionY="369" sizeX="76" sizeY="31"/>
                        </diagramInfo>
                    </CombinatorialBlock>
                    <CombinatorialBlock assignedPriority="11" assignedPrioritySource="GrLoc" directFeedThrough="true" executionOrder="7" externalID="-35079f4:137f00fab4d:-7ceb" id="192" isVirtual="false" name="B3_9" originalFullName="-35079f4:137f00fab4d:-7ceb" sampleTime="0.0" type="Sum">
                        <inDataPorts type="gaxml:collection">
                            <InDataPort id="197" name="-" portNumber="1" relatedToInportBlock="true">
                                <dataType type="gaxml:object">
                                    <TRealDouble id="434"/>
                                </dataType>
                            </InDataPort>
                            <InDataPort id="198" name="+" portNumber="2" relatedToInportBlock="true">
                                <dataType type="gaxml:object">
                                    <TRealDouble id="441"/>
                                </dataType>
                            </InDataPort>
                        </inDataPorts>
                        <outDataPorts type="gaxml:collection">
                            <OutDataPort id="199" name="null" portNumber="1">
                                <dataType type="gaxml:object">
                                    <TRealDouble id="306"/>
                                </dataType>
                            </OutDataPort>
                        </outDataPorts>
                        <parameters type="gaxml:collection">
                            <BlockParameter id="195" name="OutDataTypeMode">
                                <value type="gaxml:object">
                                    <StringValue id="196" value="Inherit via internal rule"/>
                                </value>
                            </BlockParameter>
                            <BlockParameter id="193" name="Inputs">
                                <value type="gaxml:object">
                                    <StringValue id="194" value="-+"/>
                                </value>
                            </BlockParameter>
                        </parameters>
                        <diagramInfo type="gaxml:object">
                            <DiagramInfo positionX="115" positionY="380" sizeX="-245" sizeY="20"/>
                        </diagramInfo>
                    </CombinatorialBlock>
                    <CombinatorialBlock assignedPriority="10" assignedPrioritySource="GrLoc" directFeedThrough="true" executionOrder="5" externalID="-35079f4:137f00fab4d:-7ce7" id="200" isVirtual="false" name="B3_10" originalFullName="-35079f4:137f00fab4d:-7ce7" sampleTime="0.0" type="Switch">
                        <inDataPorts type="gaxml:collection">
                            <InDataPort id="207" name="null" portNumber="1" relatedToInportBlock="true">
                                <dataType type="gaxml:object">
                                    <TRealDouble id="436"/>
                                </dataType>
                            </InDataPort>
                            <InDataPort id="208" name="null" portNumber="2" relatedToInportBlock="true">
                                <dataType type="gaxml:object">
                                    <TRealDouble id="432"/>
                                </dataType>
                            </InDataPort>
                            <InDataPort id="209" name="null" portNumber="3" relatedToInportBlock="true">
                                <dataType type="gaxml:object">
                                    <TRealDouble id="438"/>
                                </dataType>
                            </InDataPort>
                        </inDataPorts>
                        <outDataPorts type="gaxml:collection">
                            <OutDataPort id="210" name="null" portNumber="1">
                                <dataType type="gaxml:object">
                                    <TRealDouble id="439"/>
                                </dataType>
                            </OutDataPort>
                        </outDataPorts>
                        <parameters type="gaxml:collection">
                            <BlockParameter id="203" name="Threshold">
                                <value type="gaxml:object">
                                    <ExpressionValue id="204">
                                        <value type="gaxml:object">
                                            <RealExpression exponent="0" fractionalPart="0" id="205" integerPart="2" isNegative="false" litValue="2" scientificValue="false">
                                                <dataType type="gaxml:object">
                                                    <TRealDouble id="206"/>
                                                </dataType>
                                            </RealExpression>
                                        </value>
                                    </ExpressionValue>
                                </value>
                            </BlockParameter>
                            <BlockParameter id="201" name="Criteria">
                                <value type="gaxml:object">
                                    <StringValue id="202" value="u2 &gt;= Threshold"/>
                                </value>
                            </BlockParameter>
                        </parameters>
                        <diagramInfo type="gaxml:object">
                            <DiagramInfo positionX="335" positionY="370" sizeX="-5" sizeY="30"/>
                        </diagramInfo>
                    </CombinatorialBlock>
                    <SequentialBlock assignedPriority="5" assignedPrioritySource="GrLoc" directFeedThrough="false" executionOrder="1" externalID="-35079f4:137f00fab4d:-7ce2" id="211" isVirtual="false" name="B3_11" originalFullName="-35079f4:137f00fab4d:-7ce2" sampleTime="0.0" type="UnitDelay">
                        <inDataPorts type="gaxml:collection">
                            <InDataPort id="216" name="null" portNumber="1" relatedToInportBlock="true">
                                <dataType type="gaxml:object">
                                    <TRealDouble id="443"/>
                                </dataType>
                            </InDataPort>
                        </inDataPorts>
                        <outDataPorts type="gaxml:collection">
                            <OutDataPort id="217" name="null" portNumber="1">
                                <dataType type="gaxml:object">
                                    <TRealDouble id="431"/>
                                </dataType>
                            </OutDataPort>
                        </outDataPorts>
                        <parameters type="gaxml:collection">
                            <BlockParameter id="212" name="InitialValue">
                                <value type="gaxml:object">
                                    <ExpressionValue id="213">
                                        <value type="gaxml:object">
                                            <RealExpression exponent="0" fractionalPart="0" id="214" integerPart="0" isNegative="false" litValue="0" scientificValue="false">
                                                <dataType type="gaxml:object">
                                                    <TRealDouble id="215"/>
                                                </dataType>
                                            </RealExpression>
                                        </value>
                                    </ExpressionValue>
                                </value>
                            </BlockParameter>
                        </parameters>
                        <diagramInfo type="gaxml:object">
                            <DiagramInfo positionX="74" positionY="365" sizeX="-257" sizeY="35"/>
                        </diagramInfo>
                    </SequentialBlock>
                    <SinkBlock assignedPriority="13" assignedPrioritySource="GrLoc" directFeedThrough="true" executionOrder="11" id="218" isVirtual="false" name="B3_12" sampleTime="-1.0" type="Outport">
                        <inDataPorts type="gaxml:collection">
                            <InDataPort id="219" name="null" portNumber="1" relatedToInportBlock="true">
                                <dataType type="gaxml:object">
                                    <TArray id="475">
                                        <baseType type="gaxml:object">
                                            <TRealDouble id="476"/>
                                        </baseType>
                                        <dimensions type="gaxml:collection">
                                            <IntegerExpression exponent="0" hexValue="false" id="477" integerPart="2" isNegative="false" litValue="2" scientificValue="false">
                                                <dataType type="gaxml:object">
                                                    <TRealInteger id="478" nBits="8"/>
                                                </dataType>
                                            </IntegerExpression>
                                        </dimensions>
                                    </TArray>
                                </dataType>
                            </InDataPort>
                        </inDataPorts>
                        <parameters type="gaxml:collection">
                            <BlockParameter id="230" name="Port">
                                <value type="gaxml:object">
                                    <StringValue id="231" value="1"/>
                                </value>
                            </BlockParameter>
                            <BlockParameter id="220" name="DataType">
                                <value type="gaxml:object">
                                    <StringValue id="221" value="auto"/>
                                </value>
                            </BlockParameter>
                            <BlockParameter id="222" name="InitialOutput">
                                <value type="gaxml:object">
                                    <ExpressionValue id="223"/>
                                </value>
                            </BlockParameter>
                            <BlockParameter id="228" name="OutputWhenDisabled">
                                <value type="gaxml:object">
                                    <StringValue id="229" value="held"/>
                                </value>
                            </BlockParameter>
                            <BlockParameter id="224" name="PortDimensions">
                                <value type="gaxml:object">
                                    <ExpressionValue id="225">
                                        <value type="gaxml:object">
                                            <IntegerExpression exponent="0" hexValue="false" id="226" integerPart="1" isNegative="true" litValue="-1" scientificValue="false">
                                                <dataType type="gaxml:object">
                                                    <TRealInteger id="227" nBits="8" signed="true"/>
                                                </dataType>
                                            </IntegerExpression>
                                        </value>
                                    </ExpressionValue>
                                </value>
                            </BlockParameter>
                        </parameters>
                        <diagramInfo type="gaxml:object">
                            <DiagramInfo positionX="572" positionY="386" sizeX="216" sizeY="14"/>
                        </diagramInfo>
                        <portReference type="gaxml:pointer">258</portReference>
                    </SinkBlock>
                    <CombinatorialBlock assignedPriority="1" assignedPrioritySource="GrLoc" directFeedThrough="true" executionOrder="10" externalID="-35079f4:137f00fab4d:-7cca" id="233" isVirtual="false" name="B3_18" originalFullName="-35079f4:137f00fab4d:-7cca" sampleTime="0.0" type="Mux">
                        <inDataPorts type="gaxml:collection">
                            <InDataPort id="234" name="null" portNumber="1" relatedToInportBlock="true">
                                <dataType type="gaxml:object">
                                    <TRealDouble id="458"/>
                                </dataType>
                            </InDataPort>
                            <InDataPort id="235" name="null" portNumber="2" relatedToInportBlock="true">
                                <dataType type="gaxml:object">
                                    <TRealDouble id="470"/>
                                </dataType>
                            </InDataPort>
                        </inDataPorts>
                        <outDataPorts type="gaxml:collection">
                            <OutDataPort id="236" name="null" portNumber="1">
                                <dataType type="gaxml:object">
                                    <TArray id="471">
                                        <baseType type="gaxml:object">
                                            <TRealDouble id="472"/>
                                        </baseType>
                                        <dimensions type="gaxml:collection">
                                            <IntegerExpression exponent="0" hexValue="false" id="473" integerPart="2" isNegative="false" litValue="2" scientificValue="false">
                                                <dataType type="gaxml:object">
                                                    <TRealInteger id="474" nBits="8"/>
                                                </dataType>
                                            </IntegerExpression>
                                        </dimensions>
                                    </TArray>
                                </dataType>
                            </OutDataPort>
                        </outDataPorts>
                        <diagramInfo type="gaxml:object">
                            <DiagramInfo positionX="534" positionY="360" sizeX="184" sizeY="40"/>
                        </diagramInfo>
                    </CombinatorialBlock>
                </blocks>
                <signals type="gaxml:collection">
                    <Signal id="240">
                        <srcPort type="gaxml:pointer">78</srcPort>
                        <dstPort type="gaxml:pointer">119</dstPort>
                    </Signal>
                    <Signal id="241">
                        <srcPort type="gaxml:pointer">79</srcPort>
                        <dstPort type="gaxml:pointer">174</dstPort>
                    </Signal>
                    <Signal id="242">
                        <srcPort type="gaxml:pointer">47</srcPort>
                        <dstPort type="gaxml:pointer">197</dstPort>
                    </Signal>
                    <Signal id="243">
                        <srcPort type="gaxml:pointer">199</srcPort>
                        <dstPort type="gaxml:pointer">77</dstPort>
                    </Signal>
                    <Signal id="244">
                        <srcPort type="gaxml:pointer">29</srcPort>
                        <dstPort type="gaxml:pointer">198</dstPort>
                    </Signal>
                    <Signal id="245">
                        <srcPort type="gaxml:pointer">29</srcPort>
                        <dstPort type="gaxml:pointer">118</dstPort>
                    </Signal>
                    <Signal id="246">
                        <srcPort type="gaxml:pointer">29</srcPort>
                        <dstPort type="gaxml:pointer">216</dstPort>
                    </Signal>
                    <Signal id="247">
                        <srcPort type="gaxml:pointer">217</srcPort>
                        <dstPort type="gaxml:pointer">208</dstPort>
                    </Signal>
                    <Signal id="248">
                        <srcPort type="gaxml:pointer">57</srcPort>
                        <dstPort type="gaxml:pointer">207</dstPort>
                    </Signal>
                    <Signal id="249">
                        <srcPort type="gaxml:pointer">67</srcPort>
                        <dstPort type="gaxml:pointer">209</dstPort>
                    </Signal>
                    <Signal id="250">
                        <srcPort type="gaxml:pointer">210</srcPort>
                        <dstPort type="gaxml:pointer">190</dstPort>
                    </Signal>
                    <Signal id="251">
                        <srcPort type="gaxml:pointer">120</srcPort>
                        <dstPort type="gaxml:pointer">173</dstPort>
                    </Signal>
                    <Signal id="252">
                        <srcPort type="gaxml:pointer">120</srcPort>
                        <dstPort type="gaxml:pointer">189</dstPort>
                    </Signal>
                    <Signal id="253">
                        <srcPort type="gaxml:pointer">175</srcPort>
                        <dstPort type="gaxml:pointer">234</dstPort>
                    </Signal>
                    <Signal id="254">
                        <srcPort type="gaxml:pointer">191</srcPort>
                        <dstPort type="gaxml:pointer">235</dstPort>
                    </Signal>
                    <Signal id="255">
                        <srcPort type="gaxml:pointer">236</srcPort>
                        <dstPort type="gaxml:pointer">219</dstPort>
                    </Signal>
                </signals>
                <style type="gaxml:object">
                    <FunctionStyle name="FUNCTION" ordinal="0" type="gaxml:enum"/>
                </style>
                <inDataPorts type="gaxml:collection">
                    <InDataPort id="256" name="B3_1" portNumber="1" relatedToInportBlock="true">
                        <dataType type="gaxml:object">
                            <TRealDouble id="381"/>
                        </dataType>
                        <sourceBlock type="gaxml:pointer">28</sourceBlock>
                    </InDataPort>
                </inDataPorts>
                <inControlPorts type="gaxml:collection">
                    <InControlPort id="257" periodicSampleTime="false" portNumber="0" relatedToInportBlock="false" resetStates="false">
                        <outputDataType type="gaxml:object">
                            <TBoolean id="479"/>
                        </outputDataType>
                    </InControlPort>
                </inControlPorts>
                <outDataPorts type="gaxml:collection">
                    <OutDataPort id="258" name="B3_12" portNumber="1">
                        <dataType type="gaxml:object">
                            <TArray id="480">
                                <baseType type="gaxml:object">
                                    <TRealDouble id="481"/>
                                </baseType>
                                <dimensions type="gaxml:collection">
                                    <IntegerExpression exponent="0" hexValue="false" id="482" integerPart="2" isNegative="false" litValue="2" scientificValue="false">
                                        <dataType type="gaxml:object">
                                            <TRealInteger id="483" nBits="8"/>
                                        </dataType>
                                    </IntegerExpression>
                                </dimensions>
                            </TArray>
                        </dataType>
                        <initialOutput type="gaxml:object">
                            <ExpressionValue id="287"/>
                        </initialOutput>
                        <sourceBlock type="gaxml:pointer">218</sourceBlock>
                    </OutDataPort>
                </outDataPorts>
                <parameters type="gaxml:collection">
                    <BlockParameter id="259" name="RTWSystemCode">
                        <value type="gaxml:object">
                            <StringValue id="260" value="auto"/>
                        </value>
                    </BlockParameter>
                    <BlockParameter id="261" name="AtomicSubSystem">
                        <value type="gaxml:object">
                            <StringValue id="262" value="on"/>
                        </value>
                    </BlockParameter>
                </parameters>
                <diagramInfo type="gaxml:object">
                    <DiagramInfo positionX="206" positionY="364" sizeX="-88" sizeY="36"/>
                </diagramInfo>
            </SystemBlock>
            <SinkBlock assignedPriority="4" assignedPrioritySource="GrLoc" directFeedThrough="true" executionOrder="3" externalID="-35079f4:137f00fab4d:-7d16" id="263" isVirtual="false" name="B4" originalFullName="-35079f4:137f00fab4d:-7d16" sampleTime="0.0" type="Outport">
                <inDataPorts type="gaxml:collection">
                    <InDataPort id="276" name="null" portNumber="1" relatedToInportBlock="true">
                        <dataType type="gaxml:object">
                            <TArray id="484">
                                <baseType type="gaxml:object">
                                    <TRealDouble id="485"/>
                                </baseType>
                                <dimensions type="gaxml:collection">
                                    <IntegerExpression exponent="0" hexValue="false" id="486" integerPart="2" isNegative="false" litValue="2" scientificValue="false">
                                        <dataType type="gaxml:object">
                                            <TRealInteger id="487" nBits="8"/>
                                        </dataType>
                                    </IntegerExpression>
                                </dimensions>
                            </TArray>
                        </dataType>
                    </InDataPort>
                </inDataPorts>
                <parameters type="gaxml:collection">
                    <BlockParameter id="274" name="Port">
                        <value type="gaxml:object">
                            <StringValue id="275" value="1"/>
                        </value>
                    </BlockParameter>
                    <BlockParameter id="264" name="DataType">
                        <value type="gaxml:object">
                            <StringValue id="265" value="auto"/>
                        </value>
                    </BlockParameter>
                    <BlockParameter id="266" name="InitialOutput">
                        <value type="gaxml:object">
                            <ExpressionValue id="267"/>
                        </value>
                    </BlockParameter>
                    <BlockParameter id="272" name="OutputWhenDisabled">
                        <value type="gaxml:object">
                            <StringValue id="273" value="held"/>
                        </value>
                    </BlockParameter>
                    <BlockParameter id="268" name="PortDimensions">
                        <value type="gaxml:object">
                            <ExpressionValue id="269">
                                <value type="gaxml:object">
                                    <IntegerExpression exponent="0" hexValue="false" id="270" integerPart="1" isNegative="true" litValue="-1" scientificValue="false">
                                        <dataType type="gaxml:object">
                                            <TRealInteger id="271" nBits="8" signed="true"/>
                                        </dataType>
                                    </IntegerExpression>
                                </value>
                            </ExpressionValue>
                        </value>
                    </BlockParameter>
                </parameters>
                <diagramInfo type="gaxml:object">
                    <DiagramInfo positionX="375" positionY="386" sizeX="19" sizeY="14"/>
                </diagramInfo>
                <portReference type="gaxml:pointer">283</portReference>
            </SinkBlock>
        </blocks>
        <signals type="gaxml:collection">
            <Signal id="277">
                <srcPort type="gaxml:pointer">26</srcPort>
                <dstPort type="gaxml:pointer">257</dstPort>
            </Signal>
            <Signal id="278">
                <srcPort type="gaxml:pointer">15</srcPort>
                <dstPort type="gaxml:pointer">25</dstPort>
            </Signal>
            <Signal id="279">
                <srcPort type="gaxml:pointer">15</srcPort>
                <dstPort type="gaxml:pointer">256</dstPort>
            </Signal>
            <Signal id="280">
                <srcPort type="gaxml:pointer">258</srcPort>
                <dstPort type="gaxml:pointer">276</dstPort>
            </Signal>
        </signals>
        <style type="gaxml:object">
            <FunctionStyle name="FUNCTION" ordinal="0" type="gaxml:enum"/>
        </style>
        <inDataPorts type="gaxml:collection">
            <InDataPort id="281" name="B1" portNumber="1" relatedToInportBlock="true">
                <dataType type="gaxml:object">
                    <TRealDouble id="282"/>
                </dataType>
                <sourceBlock type="gaxml:pointer">2</sourceBlock>
            </InDataPort>
        </inDataPorts>
        <outDataPorts type="gaxml:collection">
            <OutDataPort id="283" name="B4" portNumber="1">
                <dataType type="gaxml:object">
                    <TArray id="488">
                        <baseType type="gaxml:object">
                            <TRealDouble id="489"/>
                        </baseType>
                        <dimensions type="gaxml:collection">
                            <IntegerExpression exponent="0" hexValue="false" id="490" integerPart="2" isNegative="false" litValue="2" scientificValue="false">
                                <dataType type="gaxml:object">
                                    <TRealInteger id="491" nBits="8"/>
                                </dataType>
                            </IntegerExpression>
                        </dimensions>
                    </TArray>
                </dataType>
                <initialOutput type="gaxml:object">
                    <ExpressionValue id="284"/>
                </initialOutput>
                <sourceBlock type="gaxml:pointer">263</sourceBlock>
            </OutDataPort>
        </outDataPorts>
        <diagramInfo type="gaxml:object">
            <DiagramInfo positionX="0" positionY="0"/>
        </diagramInfo>
    </SystemBlock>
</GASystemModel>
